-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.16-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema cuentasdesarrollo
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ cuentasdesarrollo;
USE cuentasdesarrollo;

--
-- Table structure for table `cuentasdesarrollo`.`cuentas`
--

DROP TABLE IF EXISTS `cuentas`;
CREATE TABLE `cuentas` (
  `IdCuenta` int(10) unsigned NOT NULL auto_increment,
  `Nombre` varchar(45) default NULL,
  `Codigo` varchar(25) default NULL,
  `Comentario` varchar(200) default '',
  PRIMARY KEY  (`IdCuenta`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cuentasdesarrollo`.`cuentas`
--

/*!40000 ALTER TABLE `cuentas` DISABLE KEYS */;
INSERT INTO `cuentas` (`IdCuenta`,`Nombre`,`Codigo`,`Comentario`) VALUES 
 (4,'Cuenta del banco',NULL,'');
/*!40000 ALTER TABLE `cuentas` ENABLE KEYS */;


--
-- Table structure for table `cuentasdesarrollo`.`grupos`
--

DROP TABLE IF EXISTS `grupos`;
CREATE TABLE `grupos` (
  `IdGrupo` int(10) unsigned NOT NULL auto_increment,
  `Categoria` varchar(10) default '',
  `Descripcion` varchar(45) default NULL,
  `Comentario` varchar(200) default NULL,
  PRIMARY KEY  (`IdGrupo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cuentasdesarrollo`.`grupos`
--

/*!40000 ALTER TABLE `grupos` DISABLE KEYS */;
/*!40000 ALTER TABLE `grupos` ENABLE KEYS */;


--
-- Table structure for table `cuentasdesarrollo`.`movimientos_periodicos`
--

DROP TABLE IF EXISTS `movimientos_periodicos`;
CREATE TABLE `movimientos_periodicos` (
  `IdPeriodico` int(10) unsigned NOT NULL auto_increment,
  `IdCuenta` int(10) unsigned default NULL,
  `F_IniRepeticion` date default '0000-00-00',
  `F_FinRepeticion` date default '0000-00-00',
  `N_MesesPeriodo` tinyint(3) unsigned default '1',
  `N_DiaDelMes` tinyint(3) unsigned default '1',
  `Comentario` varchar(200) default NULL,
  `TipoMovimientoIG` char(1) default 'G',
  `Descripcion` varchar(45) NOT NULL,
  `Importe` float default NULL,
  `IdGrupo` int(10) unsigned default NULL,
  `F_UltimoApunte` date default NULL,
  PRIMARY KEY  (`IdPeriodico`),
  KEY `FK_movimientos_periodicos_cuentas` (`IdCuenta`),
  KEY `FK_movimientos_periodicos_grupos` (`IdGrupo`),
  CONSTRAINT `FK_movimientos_periodicos_grupos` FOREIGN KEY (`IdGrupo`) REFERENCES `grupos` (`IdGrupo`),
  CONSTRAINT `FK_movimientos_periodicos_IdCuenta` FOREIGN KEY (`IdCuenta`) REFERENCES `cuentas` (`IdCuenta`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cuentasdesarrollo`.`movimientos_periodicos`
--

/*!40000 ALTER TABLE `movimientos_periodicos` DISABLE KEYS */;
/*!40000 ALTER TABLE `movimientos_periodicos` ENABLE KEYS */;


--
-- View structure for view `cuentasdesarrollo`.`movimientos_pendientes`
--

DROP VIEW IF EXISTS `movimientos_pendientes`;
CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `cuentasdesarrollo`.`movimientos_pendientes` AS select sql_no_cache `m`.`IdPeriodico` AS `IdPeriodico`,`m`.`Descripcion` AS `Descripcion`,`m`.`Comentario` AS `Comentario`,if((`m`.`TipoMovimientoIG` = _latin1'I'),`m`.`Importe`,-(`m`.`Importe`)) AS `Importe`,concat(`g`.`Categoria`,_latin1': ',`g`.`Descripcion`) AS `Grupo`,`c`.`Nombre` AS `Cuenta`,`m`.`F_UltimoApunte` AS `F_UltimoApunte`,`m`.`N_MesesPeriodo` AS `N_MesesPeriodo`,`m`.`N_DiaDelMes` AS `N_DiaDelMes`,`m`.`IdGrupo` AS `IdGrupo`,`m`.`IdCuenta` AS `IdCuenta` from ((`cuentasdesarrollo`.`movimientos_periodicos` `m` left join `cuentasdesarrollo`.`grupos` `g` on((`m`.`IdGrupo` = `g`.`IdGrupo`))) left join `cuentasdesarrollo`.`cuentas` `c` on((`m`.`IdCuenta` = `c`.`IdCuenta`))) where ((`m`.`F_UltimoApunte` + interval `m`.`N_MesesPeriodo` month) <= now());

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
